Ads by ProfitSence
Close

Your php installation appears to be missing the mysql extension which is required by wordpress.

Last Updated on Wednesday 5th Oct 2022

Your PHP installation appears to be missing the MySQL extension which is required by WordPress.

After installing on OSX and running whippet-server you get the following error in your browser.

			
					Your PHP installation appears to be missing the MySQL extension which is required by WordPress

			
	

It means that the php installation mysql is incomplete.You do not have the required extension, install it with the following (replace with your version number)

Solution

			
					apt-get install php7.3-common php7.3-mysql
service apache2 restart

			
	
			
					apt-get install php7.3-mysql

			
	

Alternatively.

			
					sudo apt install php-mysql

			
	

To install php5-mysql module enter

			
					sudo apt-get install php5-mysql

			
	

Reinstall php, ensuring that you include the --with-mysql option.

Next, restart the Apache2 web server

			
					sudo service apache2 restart

			
	
  • If you have a modern version of PHP (> 5.6) then Wordpress should automatically switch to make use of mysqli. That should be your first attempt.
  • If you can not update your php, rather than attempting to resurrect something that php no longer supports, just patch your wordpress
your php installation appears to be missing the mysql extension which is require
php installation missing mysql extension required by wordpress
php installation appears to be missing the mysql
php installation appears to be missing the mysql extension
your php installation appears to be missing the mysql extension
wordpress mysql extension